version: '2.1'
services:
  onlyoffice-documentserver:
    container_name: onlyoffice-documentserver
    build:
      context: ../.
      args:
        - PRODUCT_NAME=${PRODUCT_NAME:-documentserver}
    environment:
      - REDIS_SERVER_HOST=${REDIS_SERVER_HOST:-onlyoffice-redis}
      - REDIS_SERVER_PORT=${REDIS_SERVER_PORT:-6379}
    stdin_open: true
    restart: always
    ports:
      - '80:80'
      - '443:443'
    networks:
      - onlyoffice

  onlyoffice-redis:
    container_name: onlyoffice-redis
    image: redis:${REDIS_VERSION:-latest}
    restart: always
    networks:
     - onlyoffice
    expose:
      - '6379'

networks:
  onlyoffice:
    driver: 'bridge'
